/* 
 * This file is part of the Echo Web Application Framework (hereinafter "Echo").
 * Copyright (C) 2002-2003 NextApp, Inc.
 *
 * Echo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Echo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Echo; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

function E_getStatus() {
    var E_clientModel = parent.E_getClientModel();
    var E_windowIds = E_clientModel.E_getWindowIds();
    var E_output = "Echo Window/Application Status\n";
    
    E_output += "Window Id: " + parent.E_id + "\n";
    E_output += "Root Window: " + (parent == E_clientModel.E_getRootWindow()) + "\n";
    E_output += "CM verification: " + (E_clientModel.E_verify(false) ? "ERRORS EXIST" : "clean") + "\n";
    E_output += "Open Windows: " + E_windowIds.E_size() + "\n";
    E_output += "Controller Sequence#: " + parent.frames.E_cf.document.forms[0].E_sequenceNumber.value + "\n";
    
    var E_widnowId;
    for (E_windowId = 0; E_windowId < E_windowIds.E_size(); ++E_windowId) {
        E_output += "Window[" + E_windowId + "] = " + E_windowIds.E_get(E_windowId) + "\n";
    }
    alert(E_output);
}

function E_inspectField() {
    if (document.forms[0].E_inspect.value) {
        var E_fieldName = "document.forms[0]." + document.forms[0].E_inspect.value;
        var E_field = eval(E_fieldName);
    
        if (E_field) {
            alert(E_field.value);
        } else {
            alert("Invalid Field:" + E_fieldName);
        }
    } else {
        alert("No Field Specified");
    }
}

function E_inspectProperty() {
    if (document.forms[0].E_inspect.value) {
        var E_propertyName = document.forms[0].E_inspect.value;
        var E_property = eval(E_propertyName);
    
        alert(E_property);
    } else {
        alert("No Property Specified");
    }
}
