/* 
 * This file is part of the Echo Web Application Framework (hereinafter "Echo").
 * Copyright (C) 2002-2003 NextApp, Inc.
 *
 * Echo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Echo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Echo; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Safely invokes a method.
 * If anyone knows a better way to do this, PLEASE let us know.
 * (Mozilla MUST use try/catch, NS4 MUST use onerror)
 */
function E_try() {
    var E_exceptionHandler = arguments[0];
    var E_method = arguments[1];
    var E_methodString = E_method + "(";
    
    for (var E_i = 2; E_i < arguments.length; ++E_i) {
        if (E_i > 2) {
            E_methodString += ", ";
        }
        
        E_methodString += "arguments[" + E_i + "]";
    }
    E_methodString += ");";
    
    try {
        return eval(E_methodString);
    } catch (E_exception) {
        if (E_exceptionHandler != null) {
            eval("E_exceptionHandler(E_exception);");
        }
        return false;
    }
}

